dpkg-fsys-usrunmess(8)

NAAM
dpkg-fsys-usrunmess - maakt de puinhoop ongedaan van een via aliassen samengevoegde map /usr

OVERZICHT
dpkg-fsys-usrunmess [optie...]

BESCHRIJVING
dpkg-fsys-usrunmess is een hulpmiddel om bestandssystemen te repareren die opnieuw werden geïnstalleerd met recente installatieprogramma's met ongelukkige standaardinstellingen of die overgeschakeld waren naar de defecte inrichting van een via aliassen samengevoegde map /usr, wat niet wordt ondersteund door dpkg. Zie de dpkg-FAQ.

Het programma voert de volgende algemene acties uit:

•   Controleren of een omschakeling van het systeem nodig is en anders niets doen,

•   De consistentie van de dpkg-database controleren en anders afbreken.

•   De lijst met bestanden en alternatieven die moeten worden hersteld, ophalen.

•   Onder /.Usrunmess een schaduwhiërarchie creëren, door symbolische koppelingen voor de mappen te maken of harde koppelingen voor de bestanden of deze te kopiëren indien nodig.

•   Om bevestiging vragen vooraleer verder te gaan, indien daarom gevraagd werd aan de commandoregel.

•   De dpkg-databank vergrendelen.

•   Alle pakketten als half-geconfigureerd markeren om het uitvoeren af te dwingen van scripts van de onderhouder welke mogelijk bepaalde bestanden opnieuw moeten aanmaken.

•   De mappen waarvoor een alias gemaakt was vervangen door de mappen uit de schaduwhiërarche, door een back-up te maken van de oude mappen met symbolische koppeling en daarover de mappen uit de schaduwhiërarche te hernoemen.

•   Indien nodig de MAC-informatie voor mappen en symbolische koppelingen opnieuw labelen.

•   De back-up van de symbolische koppelingen verwijderen.

•   Oude verplaatste objecten verwijderen, maar het verwijderen van mappen uitstellen.

•   Oude mappen waarvan de verwijdering uitgesteld werd, verwijderen als er door dpkg-query niet naar wordt verwezen.

•   De basisschaduwmap verwijderen.

•   Register a policy-rc.d to disallow service actions, which means that services might need to be restarted afterwards, ideally via a reboot.

•   Alle pakketten opnieuw configureren.

•   Unregister the policy-rc.d and restore the alternatives state.

Opmerking: Als je het programma uitvoert vanuit bepaalde shells, zoals L <bash (1)> of L <zsh (1)>, moet u na het uitvoeren van het programma mogelijk de shell vragen om alle herinnerde uitvoerbare locaties te vergeten met bijvoorbeeld "hash -r".

Note: Some directories might linger after the migration in case they contain untracked files. A list is printed once the script has finished for further investigation.

Waarschuwing: Merk op dat er een kans bestaat dat deze bewerking het systeem onbruikbaar of kapot maakt in geval van een plotselinge crash of een herstart, een onverwachte toestand van het systeem of mogelijke bugs in het script. Wees voorbereid met herstelmedia en overweeg om van tevoren back-ups te maken.

OPTIES

-p, --prompt
    Om bevestiging vragen op het punt waarop geen terugkeer meer mogelijk is, zodat de debug-uitvoer en de schaduwhiërarchie beoordeeld kunnen worden vooraleer er verder gegaan wordt.

-n, --no-act
--dry-run
    Deze optie schakelt de droogloopmodus in, waarbij geen destructieve actie plaatsvindt, maar alleen het voorbereidende gedeelte uitgevoerd wordt.

-?, --help
    Info tonen over het gebruik en afsluiten.

--version
    De versie tonen en afsluiten.

OMGEVING

DPKG_USRUNMESS_NOACT
    Deze instelling bepaalt of de droogloopmodus moet worden geactiveerd.

ZIE OOK
<https://wiki.debian.org/Teams/Dpkg/FAQ#Q:_Does_dpkg_support_merged-.2Fusr-via-aliased-dirs.3F>.